Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 236459

Summary: SELinux Samba domain controller nmbd broadcast to port 139
Product: [Fedora] Fedora Reporter: Anthony Messina <amessina>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED CURRENTRELEASE QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: dwalsh, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Current Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-08 02:21:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Anthony Messina 2007-04-14 14:58:18 UTC
Description of problem:
On a Samba domain controller, SElinux wasnt to deny the routine (every 15
minute) broadcasts from nmbd to port 139.

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-54.fc6
samba-3.0.24-4.fc6

How reproducible:
Each time, every 15 minutes.

Steps to Reproduce:
1. Set up Samba domain controller with domain member servers
2. 
3.
  
Actual results:
avc: denied { name_connect } for comm="nmbd" dest=139 egid=0 euid=0
exe="/usr/sbin/nmbd" exit=-115 fsgid=0 fsuid=0 gid=0 items=0 pid=11070
scontext=root:system_r:nmbd_t:s0 sgid=0 subj=root:system_r:nmbd_t:s0 suid=0
tclass=tcp_socket tcontext=system_u:object_r:smbd_port_t:s0 tty=(none) uid=0

Expected results:
SELinux should allow nmbd to access to port 139 for WINS
broadcasting/synchronization

Additional info:
This denial does ot occur on my non-domain controllers (my domain member servers).

Comment 1 Daniel Walsh 2007-04-17 12:55:10 UTC
Fixed in selinux-policy-2.4.6-59

Comment 2 Bug Zapper 2008-04-04 06:51:38 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers